package com.bzd.system.service.mdyy;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 慢病销售计划表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SMdyyglMdysjqMbxsjhService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSMdyyglMdysjqMbxsjh(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqMbxsjhMapper.addSMdyyglMdysjqMbxsjh", pd);
    }

    public List<PageData> findSMdyyglMdysjqMbxsjhList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SMdyyglMdysjqMbxsjhMapper.selectSMdyyglMdysjqMbxsjhList", pd);
    }

    public Integer SMdyyglMdysjqMbxsjhRemove(PageData pd)throws Exception {
        return daoSupport.delete("SMdyyglMdysjqMbxsjhMapper.SMdyyglMdysjqMbxsjhRemove", pd);
    }


    public Integer updateSMdyyglMdysjqMbxsjh(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqMbxsjhMapper.updateSMdyyglMdysjqMbxsjh", pd);
    }

}
